 Inflow and Infiltration

Inflow and Infiltration, sometimes called Infiltration and Inflow, is refered to in this document often as I/I, IandI or InI.

To get started see:

  • Program Flow and Overview
  • Administrative Functions and Setup
  • Linking to an Address File
  • List of Terms Used
  • Using I/I

Use the tree to the left to navigate to other topics. On the application screens click the ? help button to call help for that particular screen.

Last Updated: 3/10/2009 | © Agust Gudmundsson, 2009

This page was generated by an unregistered version of West Wind HTML Help Builder.


 Using I / I
Related Topics
See also
Inflow and Infiltration
Using I / I

If you have a shortcut on your desktop you can launch the program by double-clicking it.

Otherwise use Start - Programs - Viking Works - I and I

See also:
Last Updated: 3/20/2008 | © Agust Gudmundsson, 2009


 Log In / Menu Overview
Related Topics
See also
I/I Monitor - Main Screen
Inflow and Infiltration
Log In / Menu Overview

When you start I and I you will need a valid user name and password in order to log in.

Enter the user name. Tab. Enter the password. Tab. Hit Enter or click [ OK ]

See also

I/I Monitor - Main Screen

Last Updated: 2/18/2008 | © Agust Gudmundsson, 2009


 I/I Monitor - Main Screen
Related Topics
See also
Inflow and Infiltration
I/I Monitor - Main Screen

The top portion of this screen contains the Constituent and Address Information

The top right buttons are for navigation purposes.

Set the Viewing Order by Clicking on [ Az ]. A list will pop up. Select the desired order by clicking on the item.

When you Browse in Grid / Spreadsheet mode you can easily see which addresses in your base file have InI entries.

Look Up by Name:

Look Up by Name, Step two:

Look Up by ID Number:

Look Up by ID Number, Setp two:

Look Up by Street:

Just start typing a street name and the system searches incrementally.

Exemptions

You will notice at the top center a button that usually says Non-Exempt

If your jurisdiction allows for older structures to be exempt from certain inspections, and if you have administrative rights to do so you may exempt a property. Click the button and you will see:

Answering Yes will bring up:

The status of this property is now changed to Exempt:

As stated in the Housing Inspection Overview, most items on this tab are read only. You can interact with individual feature(s) exempt status by Right Clicking the Exempt button. This takes the read only flag off of the exempt check boxes. You can individually exempt certain features by checking and unchecking the boxes under the column e

Be sure to Lock the exempt fields when you are done.

See also

Housing Inspection Overview | Building Information | Additional Information | Letters and Notices

Last Updated: 2/18/2008 | © Agust Gudmundsson, 2009


 Housing Inspection Overview
Housing Inspection Overview

The first tab on the Main Screen is Read Only. This means you cannot modify any of the information that is dispayed using this screen.

The information on this tab is gathered from the existing inspections. At the top right are

  • Number of Violations
  • Number of Violations that are still Currently out of compliance
  • Total Number of Inspections performed on this property
  • Date of the Most recent Inspection

Last Updated: 3/10/2009 | © Agust Gudmundsson, 2009


 Building Information
Building Information

From I/I Monitor - Main Screen

Building Type, Fountation Type and Property Type employs drop-down menus. The information in these lists are entered under the Administrative Functions / Modify Lookup Tables.

Basin. The Basin Field is the Sewer Basin Area for this property.

Flooding History is a short statement such as: Basement Flooded in 2006.

Number of Pumps. Total number of pumps on this property.

Under the dropdowns are fields to store information about the storm and sewer system:

Click on the checkbox for each item present. For Check Valve and Cleanout enter the Date they were Installed, the Type and the Location.

For Overhead Sewer enter the Date Installed. Select, using the radio buttons, whether it is Sanitary or Combined. Select Yes or No if there is a Separate Storm Sewer Available. If yes, then select if it is Connected to Storm Sewer.

The Year Built is the year the structure was erected.
Major Mod: This is the year that major modifications were made to the structure. These two fields help determine whether a property may be exempt or not.

Last Updated: 3/10/2009 | © Agust Gudmundsson, 2009


 Additional Information
Additional Information

From I/I Monitor - Main Screen

The third tab is Additional Information

  • Inspections
    • Printing Inspection Work Orders
    • Printing Letters / Notices

  • Violations
  • Reimbursements
  • Dye Tests
  • Other Tests - Televise

For quick reference there are codes after the words Additional Information, that inidcate what information has been gathered. In the above example you seel ( - I - V ) meaning there is an Inspection and Violation(s). The other codes are R - Reimbursement, T- Televised and D - Dye Tested.

At the top right hand side of the grid listing existing (if any) inspections is a button set.

You may print out an Inspection Work Order. You can

  • Add a new Inspection,
  • Edit an existing one or
  • Delete an Inspection Record.

Click here to proceed to the Inspection Screen.

Sample I and I Inspection Work Order:

Last Updated: 3/10/2009 | © Agust Gudmundsson, 2009


 Inspections
Related Topics
See also
Inflow and Infiltration
Inspections

INI Inspection Screen

Called from INI Main, Additional Information Tab

Much of the data entry on this form is point and click, with extensive use of right click methods and double clicks. You can tab through the fields or click into them to enter text. Read through this section before entering an inspection. Top of screen:

Contact Name: Often the contact person for an inspection is not the property owner / resident. It may be a realtor or contractor. If you do not enter a contact name the system will warn you (though it is not a mandatory field) when you save the inspection.

Contact Phone: Same rules as Contact Name.

Inspection Type: This drop-down field is mandatory. You can add, delete or modify these types using the administrator functions.

Date Inspected: This is the date the actual inspection occurred. This field is not mandatory if the Scheduled Date is filled in. Double click on this field to bring up an interactive calendar. Select the date and click the X at the top right corner of the calendar to close the calendar. The date you selected, signified by shading around the date, will be entered into the date field. A red circle around the date indicates today. If you choose not to keep the date you can double click to launch the calendar again or you can highlight the date field and press Ctrl+Y to empty the field.

Scheduled Date: Most I and I inspections are requested in advance by a property owner or their representative. If you did not enter an Inspection Date you should enter the Scheduled Date. Double click for the calendar.

Time: This is the scheduled Time for the upcoming inspection. Enter this information as 0000PM/AM. Do not enter the colon or spaces. The system will format your entry for you.

Inspector: You will be warned if you do not select an Inspector. It is not mandatory because you may not know who will be assigned the inspection until it goes to the field. The Inspectors are entered through the administrative functions.

Date Closed: Sometimes an inspection will be concluded (no violation found is an example, or violations found and corrected in the same visit) on the day of the inspection. Sometimes return visit(s) are required. When all violations are corrected then the inspection can be Closed. Double click for the calendar.

Notes: The big box under the above fields are for field notes. There is a 1,000 character limit to how much you can enter into the Notes field.

The remainder of the screen captures details about each of the property OutFlow features. This section is broken into two column groups, Interior and Exterior survey. The interactive functions for each group are the same. On the left are the Interior features, usually referred to as Utilities in Lower Level.

The first column of checkboxes indicate whether or not a feature exists in the interior or exterior of the structure. If you are just indicating that the feature exists then click the box to check it off. Click the box again to uncheck it. If the existence of a feature is confirmed by an inspection then you do not have to click this box. It will be updated when you go through the Inspection Builder.

The Inspection Builder fills in and marks the appropriate fields for you. To activate it double click on the inspection date field to the right of the feature. The builder will:

  • Copy the date from the main inspection form date field into the inspection date field for that feature.
  • Ask you if the feature was in violation and mark the Violation box with Y if you answer Yes.
  • Ask you if the violation was corrected on the same day, if there was a violation. If you answer Yes then the Violation box will be changed to C (for Corrected) and the Correction Date field will adopt the same date as the Inspection field.
  • Create a violation record, if there was a violation.
  • Ask you if you want to add notes or a ticket number to the violation. If you say Yes it will then open the Violation Form.

Violation field. The boxes in this column denote the result of an inspection of a feature. The possible results are blank, Y, P and C. The box is blank by default. Y means Yes there was a noted violation. P means there is a Potential violation. C means there was a violation and it was Corrected. Entering these results can be accomplished by pressing the appropriate key on the keyboard (Y,P,C). You can cycle through the choices by repeatedly pressing the space bar or by clicking on the field.

Color Coding. The violation field is color coded according to status. Blank and Corrected have a standard white background. If the value of the violation field is Y, for Yes there is a violation, the background of the box is light red. If it is P, for Potential, the background is yellow.

Potential Violation Warning. If you mark. The violation field as P then each time you pull up that inspection on the screen a reminder will pop up listing the potential violation(s). This persists until the value of the violation field is changed. Presumably this state is an indication that further review or Testing is in order, perhaps a Dye Test, to determine if there is in fact a violation.

Additional Data Integrity measures are programmed into the system to help avoid conflict. If you change the violation field to C, and the Correction Date is empty, then the system asks if you want to enter a Correction Date. If you enter a correction date and the violation field holds a value other than C then the system changes the violation to C. If you enter a Correction Date and the Inspection Date field for that feature is empty the system asks if you want to copy the correction date value to the inspection date field.

Adding any information on a feature also checks the first checkbox indicating that, upon inspection, the feature was found to be present.

Other: If you enter information on a feature not listed on this screen the system remembers that feature. This user added feature can be further defined using the administrative function of the system. Always enter text that describes a feature in the box below the word Other.

The Exterior Survey operates in an identical fashion to the Interior Survey.

There are some additional fields in this section.

Down Spouts: Number: How many Down Spouts were identified. Discharge Onto Grnd: Do any of them discharge onto the surface.

External Sump Pump: Discharge Onto Grnd: If there is such a pump identified does it discharge onto the surface.

Link to Dye Test. There are two Link buttons. These buttons will bring up a screen that lets you view and / or schedule Tests. If a test has been scheduled or conducted you can see the results. If needed, you can enter a new test request to schedule Dye Testing, without leaving the inspection screen. The top Test button links a Dye Test to the Inspection record you are currently viewing. The Test button at the bottom of the screen is used to directly link a Test to a specific found Violation.

Note: Entering a new Dye Test from this Inspection screen does not provide all of the functions available in the direct Dye Test screen. The Dye Test screen, available from the Additional Information Tab, has functions that allow you to link to an inspection, add violation tickets and transfer (paste) notes from the Dye Test to the Inspection.

Click here to view information on this feature.

Save. Click the disk icon to save.

When you Save an Inspection Form the system will perform a variety of data integrity checks and the Inspection will be added to your database. **Also see information on the Service Module.

At the bottom of the screen is a list of actual Violation Tickets that are associated with the results of this Inspection.

The above buttons are self-explanatory. You may Add, Edit or Delete Violation details.

Remarks

Also, if you are using the Service module, a new Service Work Order will be added to that system and all the pertinent information from the inspection will be added to the Work Order Notes. The purpose for this action is thus. Many people in other offices may have access (usually uneditable) to the Service tracking system. Those people, who do not have access to the details of the I and I inspection system, will be able to view I and I activity and status from within the Service module.

Locate Service

If you have installed the Service / Work Order component of Viking Works then this button allows you to locate a Service Request in that system. Sometimes an inspection can be triggered by a call by a citizen concerning a problem that, in turn, generated a Request for Service (a Work Order). This button brings up a list of Service Requests that have been entered for this address and lets you choose which one, if any, is related to this inspection. If you click this button and do not choose a service request record you will be asked if you want a new Service Request created in the Viking Works system.

See also

Violations | Linking to Dye Tests | Printing Letters / Notices | Printing Work Orders

Last Updated: 2/13/2008 | © Agust Gudmundsson, 2009


 Violations
Related Topics
See also
Inflow and Infiltration
Violations

INI Violation Screen

Called from INI Inspection Screen

Below is a partial screen shot of the bottom section of the Inspection Screen:

To Add a new Violation Ticket click Add Violation.

Ticket Num: A violation ticket number is not required. If you, however, do issue tickets then the ticket number should be entered into this field.

Ticket date: The date the Violation was observed.

Violation Type: Clicking on this box instigates a dropdown list of the OutFlow Features identical to the ones listed on the Inspection Screen. The I ( or E ) in the right most column specify whether this is an Interior or Exterior Feature.

If you came into this screen through the Builder on the Inspection Screen then Ticket Date and Violation Type will already be filled in accordingly.

Correction Date: If this violation has been corrected then enter the Correction Date in this field. Entering a date will also fill in the next field.

Cor: Corrected. Y = Yes it has been corrected.

Notes: This box is for descriptive Field Notes. Notes can be copied from a Test, such as a Dye Test.

Dye Test Notes. Clicking this button will bring up a screen that allows you to select a dye test.

If you simply click on the Close button no changes to your violation will be made.

Clicking on the Insert checkbox beside either the Pre-Test Notes or the Post-Test Notes will, after you click the Close button,
Insert the appropriate notes into the Violation Notes.

Click the Save button to Save your changes and exit this screen. Clicking Cancel exits the screen without saving.

Remarks

Tests, such as Dye Tests, will also connect to or create Inspections and Violations automatically from the Dye Test input screen.
That is sort of an inverse of the actions described below and a time saver. The prefered method, however is Linking an Inspection or Violation to a Dye Test.

See also

Inspections | Linking to Dye Tests | Dye Testing | Printing Letters / Notices

Last Updated: 2/13/2008 | © Agust Gudmundsson, 2009


 Linking to Dye Tests
Linking to Dye Tests

Inspection Related Dye Test.

Called from the Inspection Screen

To link a Dye Test to an Inspection click on the [ i-Test ] button located just under the right hand side of the Notes field.

If there are no Tests entered for the Inspection you are on the next screen will be skipped. If there is / are existing Test(s) you will bee the selection screen below.

The column above, I-ID relates to the Inspection Number. To view or edit and existing Test select the test, by clicking on it in the grid and then click [Select Existing Dye Test]. Notes: This form shows you any and all Dye Tests associated with this address. If you select a test that was linked to a different inspection you will be able to view the test, but not alter the information. You will see a message like this:

If needed you can [Schedule a New Dye Test based on this Inspection]

The Inspection Linked Dye Test Form.

The fields.

Test Number: This is a computer generated tracking number. Not editable.

Scheduled Date: Required. Date you have arranged with the property owner to conduct the test.

Time: Recommended. The time of day your inspector should arrive at the property.

Test Date: Date the test was peformed.

Result – Action Taken: This can be blank. The default values are Fixed, Repair Ordered, Needs Govt Action. Additional choices can be entered through the program Administrative Functions.

Notes Prior to Test: Enter information gathered from the initial inspection or conversation with owner, that prompted the need for a test.

Notes Resulting from Test: What was discovered from this test.

Linked to Inspection : Since you came to this screen via an Inspection form then this button is not enabled. The Test is already Linked. The Inspection number is displayed to the right and there is a button Remove Link This button is disabled here See the Note below for instructions on how to remove a link. Also some of the details of the inspection will be shown on the screen under the buttons.

NOTE: The Remove Link button can be activated by entering the Dye Test from the Additional Information Tab - Dye Testing.

Link to Violation. Once the Dye Test is linked to an Inspection you can link relevant Violations, from that Inspection to the Dye Test.

Click that button and you have a choice to Create a New Violation or to Link to an Existing Violation.

Existing Violation If you select Existing then you can pick from a list of violations that have been entered for the linked Inspection.

New Violation If you select New Violation then a list of available (and previously linked) inspections will pop up.

To add violations click on the available violation type in the left box and then click the right arrow button to move it to the box on the right. To un-do a selection click on the violation type in the right box and click the left arrow button to send it back to the 'Available' box. Click the Accept button to confirm your additions.

This action, New, not only adds the violations to the Test screen it also adds them to the Inspection. So when you pull up the inspection that is linked to the test the violations will already be entered in the grid below the Inspection.

Click these to add the notes from the test to the Inspection and / or Violation forms. This is not necessary because you will likely print out a dye test work order when you print the inspection work order. However, allowing this to be copied will bring the information together on the one main inspection form and work order. Keep in mind that each of the notes fields has a maximum of 1,000 total characters that you may enter. Also, if this test is linked to an Inspection, both notes can be added to the notes field in the Inspection form. The Inspection form notes field has a 1,000 character limit, so you may want to keep that in mind. If this test is linked directly to a Violation then the notes will be split between the two forms. The Notes Prior will go to the Inspection form and the Notes Resulting will go to the notes field in the Violation form. See the section below, Merging or Replacing Notes, on how this information is transferred.

Merging or Replacing Notes:

If you select the option [ Replace the notes, between [DT- and –dt] ] then the resulting notes in the violation form will be:

There is water going into the sewer. [DT: Tst: 02/09/08. These are the More Updated notes based on the test results. -dt]

If you select the second option [ Add new.. ] the resulting notes will be:

There is water going into the sewer. [DT: Tst: 02/09/08. These are the notes based on the test results. -dt] [DT: Tst: 02/09/08. These are the More Updated notes based on the test results. -dt]

Violation Related Dye Test.

To link a Dye Test to a specific Violation look for the [ v-Test ] button at the bottom of the Inspection Screen.

Click the [ v-Test ] Button and you will get the following dialogue:

If there are no tests associated with the violation you chose then you will see:

The Dye Test Form already, now, has the violation type entered. See the lower right.

Last Updated: 3/10/2009 | © Agust Gudmundsson, 2009


 Printing Work Orders
Related Topics
See also
Modify Work Orders
Inflow and Infiltration
Printing Work Orders

At the top right hand side of the grid, on the Additional Information screen, listing existing (if any) inspections is a button set.

You may print out an Inspection Work Order by clicking on the Print button. If you have administrative rights you can modify the layout of the work order by right-clicking on the Print button.

Sample I and I Inspection Work Order:

See also

Modify Work Orders

Last Updated: 2/18/2008 | © Agust Gudmundsson, 2009


 Printing Letters / Notices
Printing Letters / Notices

Letters are printed from the Inspection Screen. If there are no violations for the inspection you are viewing then the [ Letter ] button, at the bottom of the screen, is not active.

Click the [ Letter ] button and you will have the letter selection screen:

The default Letter for each category is preselected in the Default Letters of the Administrative Functions of the program. You can override this selection by clicking the [ .. ] buttons and finding a different letter.

Just How the letter prints and is saved is set up under Printing Preferences.

Last Updated: 3/10/2009 | © Agust Gudmundsson, 2009


 Dye Testing
Dye Testing

Although you can schedule a Dye Test without having an Inspection it usually does not make sense. The prefered method for scheduleing a test is to do it from an existing Inspection.

To enter this area directly from the Additional Information Tab

Click Add or Edit on the Dye Test Grid.

Here is the form:

The fields.

Test Number: This is a computer generated tracking number. Not editable.

Scheduled Date: Required. Date you have arranged with the property owner to conduct the test.

Time: Recommended. The time of day your inspector should arrive at the property.

Test Date: Date the test was peformed.

Result – Action Taken: This can be blank. The default values are Fixed, Repair Ordered, Needs Govt Action. Additional choices can be entered through the program Administrative Functions.

Notes Prior to Test: Enter information gathered from the initial inspection or conversation with owner, that prompted the need for a test.

Notes Resulting from Test: What was discovered from this test.

Link(ed) to Inspection. : If you have not linked this Test to an inspection then the second row of fields will not be visible and the text will say Link to Inspection. Click that button and select an existing inspection to Link.

Once linked the text will say: Linked to Inspection. The Inspection number will be displayed to the right and a new button will appear to Remove Link. Also some of the details of the inspection will be shown on the screen under the buttons.

Refer to the Section: Using I / I, I/I Monitor - Main Screen, Additional Information, Inspections, Linking to Dye Tests for the rest of this section.

Last Updated: 3/10/2009 | © Agust Gudmundsson, 2009


 Televise
Televise

Televise works in much the same fashion a the Dye Testing function, with a few differences. More information is available in the production version of this help file.

Last Updated: 3/14/2009 | © Agust Gudmundsson, 2009


 Reimbursements
Reimbursements

The Reimbursements feature allows you to annotate and track citizens' application for reimbursements available under your state and local MS4 grant program - providing your state is offering these incentives.

Last Updated: 3/14/2009 | © Agust Gudmundsson, 2009


 Letters and Notices
Letters and Notices

From I/I Monitor - Main Screen

The fourth tab is a repository for Letters or Notices sent to the constituent.

Letters are sent via a button located on the Inspection screen or, in masse via query. If there are any letters you may view an archived copy of the letter by clicking the View button on the upper right portion of the grid.

Double-Click on the Archive Name to pull up the letter in Acrobat.

Below is a sample notice letter:

Use one of the sample letters that came packaged with the program, to create your letters. Below are images showing the merge fields.

Keep all of the merge fields. The document template is set up to not print empty lines.

Here is the section that presents the violations:

And the section that notifies the recipient how long they have to correct the violation(s).

Last Updated: 3/10/2009 | © Agust Gudmundsson, 2009


 Query Reports
Query Reports

The full Query User Guide is located in HTML form here.

Last Updated: 3/10/2009 | © Agust Gudmundsson, 2009


 Overview
Related Topics
See also
Inflow and Infiltration
Overview

Inflow and Infiltration Overview

Program Flow

Address Database (Base File)

Every square foot of property creates runoff. The actual number is: Each inch of rain drops .6 gallons of water per square foot of ground. So, by the time you have completed your task of initial I and I inspections you will have a record of every known property within your jurisdiction.

Ideally the Base File will contain every parcel in your jurisdiction. However, you may simply add addresses as you conduct inspections and your Base File will grow as you progress in the process of your I / I monitoring.

Here is a snap shot of the Base File. At minimum you will only need the address. But, for the purpose of communicating with both the occupant and the owner, the Base File allows for up to three (3) different addresses. Home, Business and Alternative (absentee owner) mailing addresses, phone numbers and email information.

For most of your residential properties you will only need the home address. This information is applied when you have an owner / resident. Even with that situation you may gather work information on the owner, so that you can contact them during the day if needed. If the location is a place of business then you certainly will need to gather and enter the address information on the business. Plus you may want to hold the business owner's personal (home) address and contact information, as well. The alternative address is typically used to store the contact information of an absentee landowner. Example: You may have Mutt's Pet Shop as the address for tracking I and I. You may also have the store's owner listed at a different residential address*. And you may have the building owned by John Doe in another town.

*Keep in mind that since I and I is tracked by address, if you have a business owner who also lives in your jurisdiction you will need a separate record for each the business and the home.

Base File NOTE: You can pre-populate your Base File from an existing database. VikingWorks can import information from your water billing, property tax or other data tables you have available. Jurisdictions experiencing rapid growth or change may want to consider asking VW to create a link to the database you are currently using that always has the most up-to-date information.

I/I Overlay

Over (or attached to, to be more precise) each address is a layer of information related to Inflow and Infiltration. There are four (4) panes or Tabs that help you track this information.

The first is the Property History Tab. This contains the compilation of all Inspections and Violations.

The next tab is the Building Information Tab. This stores information such as

  • Building Type (Ranch, Bi-Level..)
  • Foundation Type (Slab, Full Basement..)
  • Property Type (Single Family, Commercial..)
  • Basin
  • Flood History
  • Number of Pumps
  • Existence and Notes on
    • Check Valves
    • Clean Outs
    • Overhead Sewers

The third tab is where the work is done.

Additional Information

  • Inspections
  • Violations
  • Reimbursements
  • Dye Tests
  • Other Tests - Televise

The fourth tab is a repository for Letters or Notices sent to the constituent.

See also:
Last Updated: 3/20/2008 | © Agust Gudmundsson, 2009


 Administrative Functions
Administrative Functions

Many of the program's Administrative functions are not accessible to the typical user, so much of this portion of the help document has been removed from the demonstration file you have downloaded.

If you would like to see a technical overview of these functions please call (304) 661-9733, visit http://www.GovtSolutions.us or send an email to agust@agust.com

Last Updated: 3/14/2009 | © Agust Gudmundsson, 2009


 Link to Address File
Link to Address File

Many of the program's Administrative functions are not accessible to the typical user, so much of this portion of the help document has been removed from the demonstration file you have downloaded.

If you would like to see a technical overview of these functions please call (304) 661-9733, visit http://www.GovtSolutions.us or send an email to agust@agust.com

Last Updated: 3/14/2009 | © Agust Gudmundsson, 2009


 Modify Lookup Tables
Modify Lookup Tables

Many of the program's Administrative functions are not accessible to the typical user, so much of this portion of the help document has been removed from the demonstration file you have downloaded.

If you would like to see a technical overview of these functions please call (304) 661-9733, visit http://www.GovtSolutions.us or send an email to agust@agust.com

Last Updated: 3/14/2009 | © Agust Gudmundsson, 2009


 Program Preferences
Program Preferences

Many of the program's Administrative functions are not accessible to the typical user, so much of this portion of the help document has been removed from the demonstration file you have downloaded.

If you would like to see a technical overview of these functions please call (304) 661-9733, visit http://www.GovtSolutions.us or send an email to agust@agust.com

Last Updated: 3/14/2009 | © Agust Gudmundsson, 2009


 Printing Preferences
Printing Preferences

I and I Commander has a sophisticated link between your data and Letters / Notices. There are a variety of ways to set up the program for letter printing and archiving.

The first section is Printing / Viewing:

Word EXE: If you plan on using Microsoft Word then you need to locate your Word Program. When this module is launched it attempts to locate Word for you. You can confirm the location, navigate out and find Word somewhere else by clicking the [ .. ] button to the right of the field, or leave it as is.

Default Printer: Same rules apply as to Word. The program will attempt to determine your default printer.

The next section may appear daunting at first. Most likely you will keep the program defaults. In the first four boxes you toggle by using the spacebar.

The program is designed to create archives of each letter in the Adobe Acrobat (PDF) format.
You can decide whether you want to Print using Word (DOC) or Acrobat (PDF)
If you chose DOC then you can control how the document is printed.

  • CMD is Command Line
  • API is letting Windows select the default application for printing
  • WBA is Word Basic (preferred method). The I and I program has built in scripting.

Show: Do you want Word to print silently, or do you want the application to launch. Options are:
  • 0 = Run Hidden
  • 1 = Run Normal
  • 2 = Launch and Minimize
  • 3 = Launch and Maximize

You can decide whether you want to Open / View the letter using Word (DOC) or Acrobat (PDF) and decide if you will use CMD, API or WBA.

The last three items in this section are:

  • Keep Archive. Do you want the program to keep a copy of each letter, in PDF format, on a server?
  • Naming Convention. 1 = Street, 2 = ID Number, 3 = Date. Default is Street Address. This will make finding the copy of the letter at a later date easier. The file name will be [ StreetName + StreetSuffix + StreetDirectional + HouseNumber + IDNumber + Date ]
  • Default Action. Options are Print, Printto or Open

Locations:

Local PDF Folder: After the letter is printed it is converted to PDF. This conversion needs a temporary location on your computer, before it is copied out to the archive server.

Archive Folder: This is not editable here. It is for your information. The archive folder is set by an administrative tool. ( A_Archives.exe )

Path to Adobe: This is the location of your Reader, not Professional or Distiller.

Doc to Pdf Conversion:

Converter: The name of the executable. This is typically GhostScript, a free converter for those who do not have Adobe Professional.
Path to Converter: Where is GhostScript.
Optional Parameters: Usually leave blank.

Use Distiller: If you have Adobe Professional you will want to check this box.
Distiller Folder: Where is the Distiller Program?
Distiller Command: This is the executable file name followed by allowed parameters.

Post Script Printer Driver: Whether you use GhostScript or Adobe you will need to have installed a Post Script Printer Driver. The generic driver is jointly published by Microsoft and Adobe and it is free.

Click the Save button to save your changes. Clicking the Close button exits the screen without saving any of your changes.

Last Updated: 3/10/2009 | © Agust Gudmundsson, 2009


 Default Notice Letters
Default Notice Letters

Many of the program's Administrative functions are not accessible to the typical user, so much of this portion of the help document has been removed from the demonstration file you have downloaded.

If you would like to see a technical overview of these functions please call (304) 661-9733, visit http://www.GovtSolutions.us or send an email to agust@agust.com

Last Updated: 3/14/2009 | © Agust Gudmundsson, 2009


 Security Settings
Security Settings

It is very important that you set rules for Role Based Security before allowing users to access the system. With this function you can controll who has access to program features, such as changing the preferences or look up tables. This function also allows you to control which users are allowed to enter, edit or delete certain information. You can even set up a user group that can only view information and not change anything or print anything. Useful for elected officials.

Since it is possible for the person in charge of security to leave your employ this function is delivered as a stand-alone executable that has no required password. Considering the above, it is advised that this module (Security.exe) only be installed on the administrator's computer.

From the Security module you will also Setup Users, User Groups and Role Based Permissions.

The button at the bottom right [ Lock Down System ] should only be used if you are deploying a database modification and have been instructed by technical support to lock the system. When you lock the system you will need to provide a message to the users.

Enter the message and click [ Lock ]

When the system is locked, anyone attempting to use VikingWorks modules will get your message:

If the system is locked the text on the [ Lock Down System ] button is changed to [ Unlock System ] Press the button once again to unlock the system.

Prior to locking you can see if anyone is currently logged in.

Last Updated: 3/11/2009 | © Agust Gudmundsson, 2009


 Setup Users
Setup Users

Security - Setup Users

From the main Security Screen Click [ User Manager ] Top Right.

The minimum information required is a user log-in name and password. The system will automatically generate a use ID number. The log-in name and password should only contain letters and numbers, with no spaces or other characters. The password us Case Sensitive, so remember how you enter it.

To get a quick list of who is logged in, Right Click the [ User Manager ] button.

You will see a grid listing who, if anyone is currently logged in.

Last Updated: 3/10/2009 | © Agust Gudmundsson, 2009


 Create Groups
Create Groups

Click on one of the Groups in the Green / White grid.
Then click on the button, to the right [ Define Group n ] where n is the group number you have selected.

Now you can name and define the group(s)

Last Updated: 3/10/2009 | © Agust Gudmundsson, 2009


 Assign Users to Groups
Assign Users to Groups

Once you have defined your groups you are ready to assign Users to the Group.
Click on one of the Groups in the Green / White grid.

Click the Button [ Assign Users to Group n ] where n is the Group you selected.

Note. If you do not see a particular user in the Available box nor in the Assigned box it means they are currently assigned to another group. You have to remove a user's assignment before they can be reassigned to another group.

Last Updated: 3/10/2009 | © Agust Gudmundsson, 2009


 Set Group Permissions
Set Group Permissions

As you can tell by the sample names given to the groups you usually grant a group the minimum level of permissions required to do their job.

Click the [ Set Permissions ] button. Second from the top right.

You grant access to a funtion by clicking on a check box. Uncheck the box to deny access. In the example above (look to the center of the grid) users in Group 3 (Supervisors) may Modify Violations, but only people in Group 9 (Administrators) can Delete a Violation.

Clicking the Name of the user group allows you to view the people who are a part of that group.

Clicking on the group number filters the list to the left so you only see the functions allowed for that group.

Last Updated: 3/10/2009 | © Agust Gudmundsson, 2009


 Set User Level Permissions
Set User Level Permissions

You may find that the ten ( 0 - 9 ) groups do not give you all the flexibility you need. You have the option of greating User Level Permissions. First assign the user to a group that closely resembles the permissions you want to grant. Then edit the user.

From the main Security Screen Click [ User Manager ] Top Right.

Notice a button on the bottom left of the screen [ User Level Permissions ]

Grant or deny permissions just as you would a group. Be sure to click the checkbox [ User Level Access Overrides Group Settings ] before you click [ Save ]

Last Updated: 2/18/2008 | © Agust Gudmundsson, 2009


 Modify Work Orders
Modify Work Orders

Many of the program's Administrative functions are not accessible to the typical user, so much of this portion of the help document has been removed from the demonstration file you have downloaded.

If you would like to see a technical overview of these functions please call (304) 661-9733, visit http://www.GovtSolutions.us or send an email to agust@agust.com

Last Updated: 3/14/2009 | © Agust Gudmundsson, 2009